//+------------------------------------------------------------------+
//|                                                  Time hourly.mq4 |
//|                                       Copyright  2006, D Clarke |
//+------------------------------------------------------------------+

#property  copyright "Copyright  2006, D Clarke"
//---- indicator settings
#property  indicator_separate_window
#property  indicator_buffers 1
#property  indicator_color1  Red
//---- indicator parameters
extern int RPeriod = 40;
//---- indicator buffers
double Hour1[];

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- drawing settings
   SetIndexStyle(0, DRAW_LINE);
   SetIndexDrawBegin(0, RPeriod);
   IndicatorDigits(Digits + 1);
//---- indicator buffers mapping
//---- 1 additional buffer used for counting.
   IndicatorBuffers(1);
   SetIndexBuffer(0, Hour1);  
   
//---- name for DataWindow and indicator subwindow label
   IndicatorShortName("ROC(" + RPeriod + ")");
//---- initialization done
   return(0);
  }
//+------------------------------------------------------------------+
//| Moving Averages Convergence/Divergence                           |
//+------------------------------------------------------------------+
int start()
  {
   int limit;
   
   int counted_bars = IndicatorCounted();
//---- check for possible errors
   if(counted_bars < 0) 
       return(-1);
//---- last counted bar will be recounted
   if(counted_bars > 0) 
       counted_bars--;
   limit=Bars-counted_bars;
//---- ROC calculation
   for(int i = 0; i < limit; i++)
     {
      
               Hour1[i] = TimeHour(Time[i]);
       
     } 
     
     //Print ("Hour : " , Hour1[0], ":", Hour1[1]);   
//---- done

   return(0);
  }
//+------------------------------------------------------------------+